function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO BusinessConnect EDI Protocol powered by Instream Documentation","5#1002205");
C=B.fN("Other TIBCO Product Documentation","5#1002164");
B=A.fN("Typographical Conventions","6");
B=A.fN("TIBCO Product Documentation and Support Services","7");
C=B.fN("How to Access TIBCO Documentation","7#1007290");
C=B.fN("How to Contact TIBCO Support","7#1007300");
C=B.fN("How to Join TIBCO Community","7#1007309");
A=P.fN("Chapter\u00a01 Introduction","8");
B=A.fN("EDI Standard","9");
B=A.fN("Product Overview","10");
B=A.fN("Protocol Variants","11");
B=A.fN("Transports","12");
C=B.fN("Set Up Trading Partner Transport via Inbox","12#1689067");
B=A.fN("Security","13");
B=A.fN("Validation and Conversion","14");
C=B.fN("EDI Data Formats","14#1583781");
B=A.fN("Integration","15");
B=A.fN("Messages","16");
A=P.fN("Chapter\u00a02 Managing EDI Guidelines","17");
B=A.fN("Overview","18");
B=A.fN("EDI Guideline Files","19");
B=A.fN("Managing Guidelines with EDISIM","20");
C=B.fN("Starting EDISIM Standards Editor","20#1652386");
C=B.fN("Customizing a Guideline","20#1631930");
B=A.fN("Exporting Guideline and Schema Files","21");
B=A.fN("Storing Guidelines and Schemas in the Configuration Store","22");
B=A.fN("EDI Conversion Engine","23");
B=A.fN("EdiConvert Utility","24");
A=P.fN("Chapter\u00a03 Exchanging Documents","25");
B=A.fN("Overview","26");
B=A.fN("Setting Up Trading Partners","27");
C=B.fN("EDI Information Not In Guidelines","27#1663552");
B=A.fN("Creating Private Processes","28");
C=B.fN("TIBCO BusinessConnect Activities","28#1647010");
B=A.fN("Exchanging URI Definitions","29");
B=A.fN("Exchanging Identity Information","30");
A=P.fN("Chapter\u00a04 Configuring Protocol Features","31");
B=A.fN("Overview","32");
B=A.fN("Validation and XML Conversion","33");
B=A.fN("TEXT to EDI Conversion","34");
B=A.fN("Control Number Management","35");
C=B.fN("Control Number Validation","35#1636144");
C=B.fN("Alphanumeric Control Numbers and Validation","35#1636278");
B=A.fN("Validation Error Reporting","36");
B=A.fN("Acknowledgment and Reconciliation","37");
B=A.fN("Transaction Batching and Scheduling","38");
B=A.fN("CAQH Connectivity Rules","39");
C=B.fN("SOAP + WSDL Envelope","39#1807806");
C=B.fN("HTTP MIME Multipart Envelope","39#1798724");
B=A.fN("Process Flows and Transaction Types","40");
B=A.fN("Tuning for Improved Performance","41");
C=B.fN("Memory Tuning","41#1584661");
C=B.fN("Tuning Thread Count","41#1584804");
C=B.fN("Tuning Flow Control","41#1584825");
A=P.fN("Chapter\u00a05 Acknowledgments and Reconciliation","42");
B=A.fN("Acknowledgments","43");
C=B.fN("Types of Acknowledgments","43#1668207");
B=A.fN("Acknowledgment Timeouts","44");
C=B.fN("How Acknowledgment Timeouts Work","44#1001066");
B=A.fN("Reconciling Acknowledgments","45");
C=B.fN("How Acknowledgments Are Reconciled","45#1099381");
B=A.fN("Reconciling Acknowledgments After Timeout","46");
C=B.fN("Reconcile After Timeout Check box","46#1728032");
C=B.fN("Completing Transactions After Timeout","46#1001132");
A=P.fN("Chapter\u00a06 File Masks","47");
B=A.fN("FTP Inbound File Name Masks","48");
C=B.fN("File Name Mask Examples","48#1503112");
C=B.fN("File Name Mask Syntax","48#1501669");
B=A.fN("FTP and FILE Outbound File Name Masks","49");
C=B.fN("File Name Mask Examples","49#1502729");
C=B.fN("File Name Mask Syntax","49#1502734");
B=A.fN("Ack File Name Masks","50");
C=B.fN("File Name Mask Examples","50#1747762");
C=B.fN("File Name Mask Syntax","50#1747794");
A=P.fN("Chapter\u00a07 Viewing Logs","51");
B=A.fN("Overview","52");
C=B.fN("Using the Log Viewer","52#1500430");
C=B.fN("Status Codes","52#1626210");
B=A.fN("Audit Log","53");
C=B.fN("Summary View","53#1487565");
C=B.fN("Transaction Details View","53#1696452");
C=B.fN("State Details View","53#1719992");
C=B.fN("User Keys","53#1590616");
B=A.fN("Non-Repudiation Log","54");
C=B.fN("Summary View","54#1473289");
B=A.fN("Message Queue Log","55");
C=B.fN("Summary View","55#1473343");
C=B.fN("Log Viewer Options","55#1473426");
C=B.fN("Transactions in the Message Queue Viewed in the Audit Log","55#1551450");
B=A.fN("Resend Log","56");
C=B.fN("Manual Resend Scenarios","56#1513508");
B=A.fN("Document Archiving","57");
A=P.fN("Chapter\u00a08 Private Messages","58");
B=A.fN("Overview","59");
B=A.fN("Initiator Messages","60");
C=B.fN("Initiator Outbound Request","60#1524756");
C=B.fN("Initiator Inbound Response","60#1593403");
C=B.fN("Initiator Acknowledgment From Partner","60#1525076");
B=A.fN("Responder Messages","61");
C=B.fN("Responder Inbound Request","61#1525175");
C=B.fN("Responder Inbound Interchange","61#1604751");
C=B.fN("ResponderInterchangeComplete","61#1606615");
C=B.fN("Responder Outbound Synchronous Response","61#1718474");
C=B.fN("Responder Acknowledgment to Partner","61#1525697");
B=A.fN("General Messages","62");
C=B.fN("CAQH Message","62#1778183");
C=B.fN("Timeout Alert","62#1525943");
C=B.fN("Validation Alert","62#1526050");
C=B.fN("Error Message","62#1526200");
C=B.fN("Insight Report Message","62#1678284");
C=B.fN("Push Real-Time Partner and Guideline Updates Message","62#1697318");
B=A.fN("Objects Included in Private Messages","63");
C=B.fN("TPName","63#1526418");
C=B.fN("EnvelopeInfo","63#1526446");
C=B.fN("InterchangeInfo","63#1526483");
C=B.fN("GroupInfo","63#1526520");
C=B.fN("Identity","63#1526557");
C=B.fN("ControlNumberInfo","63#1526588");
C=B.fN("TransactionInfo","63#1526625");
C=B.fN("ConversionEngineInfo","63#1526764");
C=B.fN("Attachment","63#1729148");
A=P.fN("Appendix\u00a0A Property Reference","64");
B=A.fN("Property Reference","65");
A=P.fN("Appendix\u00a0B Status and Error Codes","66");
B=A.fN("HTTP Status Codes: 200-510","67");
B=A.fN("Status Codes: 600-699","68");
A=P.fN("Appendix\u00a0C EDI Migration and Operations Updater Tools","69");
B=A.fN("EDI Migration Tool","70");
C=B.fN("Using the EDI Migration Tool","70#1670751");
C=B.fN("Migrating from the Version 5.x to 6.x and Later","70#1676632");
B=A.fN("Operations Updater Tool","71");
C=B.fN("Using the Operations Updater Tool","71#1671105");
A=P.fN("Appendix\u00a0D Database Schema Definition","72");
B=A.fN("EDI Batch Schema Details","73");
C=B.fN("TIBEDI_BATCH_TASK","74");
C=B.fN("TIBEDI_BATCH_TX","75");
C=B.fN("TIBEDI_BATCH_TX_BIN","76");
A=P.fN("Appendix\u00a0E Troubleshooting","77");
B=A.fN("Troubleshooting Tips","78");
C=B.fN("Senders and Receivers Falling out of Sync with Incremental Control Numbers","78#1512717");
}
