function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO BusinessConnect EDI Protocol powered by Instream Documentation","5#1002205");
C=B.fN("Other TIBCO Product Documentation","5#1002164");
B=A.fN("Typographical Conventions","6");
B=A.fN("TIBCO Product Documentation and Support Services","7");
C=B.fN("How to Access TIBCO Documentation","7#1007290");
C=B.fN("How to Contact TIBCO Support","7#1007300");
C=B.fN("How to Join TIBCO Community","7#1007309");
A=P.fN("Chapter\u00a01 X12 Overview","8");
B=A.fN("Product Overview","9");
B=A.fN("Document Structure","10");
C=B.fN("Interchange","10#1913651");
C=B.fN("Functional Group","10#1913683");
C=B.fN("Transaction Set","10#1913688");
B=A.fN("Delimiters","11");
B=A.fN("Acknowledgments","12");
C=B.fN("Delivery Acknowledgments","12#1913714");
C=B.fN("Syntactic Response Acknowledgments","12#1913721");
C=B.fN("Business Application Acknowledgments","12#1913728");
B=A.fN("Support for File Conversion","13");
B=A.fN("HIPAA Acknowledgment Properties","14");
C=B.fN("Business Application Acknowledgments","14#2041029");
A=P.fN("Chapter\u00a02 Tutorials \u2014 Getting Started","15");
B=A.fN("Prerequisites","16");
B=A.fN("Using EDI Guidelines","17");
C=B.fN("Viewing a Guideline","17#1968826");
C=B.fN("Loading Guidelines to the X12 Protocol","17#1968858");
C=B.fN("Reviewing the Guidelines","17#2167927");
B=A.fN("Configuring the Initiator","18");
C=B.fN("Setting Up a Host","18#1912628");
C=B.fN("Setting Up a Partner","18#1920685");
C=B.fN("Configuring the Business Agreement","18#1912724");
C=B.fN("Deploying the Initiator Server","18#1935512");
B=A.fN("Configuring Private Processes","19");
C=B.fN("Configuring Private Processes in TIBCO Designer","19#2079167");
C=B.fN("Configuring Private Processes in TIBCO Business Studio","19#2079496");
B=A.fN("Send 850 Txn To BC","20");
C=B.fN("Processes Overview","20#1912868");
C=B.fN("Running the Tutorial","20#1912910");
B=A.fN("Receive 850 TEXT Process","21");
C=B.fN("Prerequisites","21#2058423");
C=B.fN("Running the Tutorial","21#2057574");
B=A.fN("CAQH Sample","22");
C=B.fN("SOAP + WSDL Envelope","22#2229722");
C=B.fN("HTTP MIME Multipart Envelope","22#2250108");
A=P.fN("Chapter\u00a03 Managing X12 Interchanges, Functional Groups, and Transactions","23");
B=A.fN("Overview","24");
B=A.fN("Adding an Interchange Version","25");
B=A.fN("Adding a Group Version to an Interchange Version","26");
B=A.fN("Adding a Transaction to a Group Version","27");
B=A.fN("Notification Transaction","28");
C=B.fN("Notification Transaction Tab","28#1998139");
C=B.fN("Outbound Action Tab","28#1881009");
B=A.fN("Synchronous Request Response Transaction","29");
C=B.fN("Synchronous Request and Notify Operations","29#2009080");
C=B.fN("Configuring the Synchronous Request Response Transaction","29#2009042");
C=B.fN("Request Action Tab","29#1997509");
C=B.fN("Response Action Tab","29#1997181");
B=A.fN("Configuring Acknowledgments","30");
C=B.fN("Configuring 997 Functional Acknowledgments","30#1797815");
C=B.fN("Configuring the 999 Implementation Acknowledgments","30#1996326");
C=B.fN("Configuring TA1 Interchange Acknowledgment Segments","30#1796153");
C=B.fN("Multiple Configurations for the Same Transaction Type","30#1940108");
B=A.fN("Configuring Validation Profile (.apf) Files","31");
C=B.fN("Severity Level","31#1911223");
C=B.fN("Severity Scope","31#1916581");
C=B.fN("Validating Severity Levels","31#1910008");
B=A.fN("Exporting Interchanges, Groups, and Transactions","32");
B=A.fN("Importing an Interchange Version","33");
A=P.fN("Chapter\u00a04 Setting Up Trading Hosts","34");
B=A.fN("Configuring the X12 Protocol","35");
B=A.fN("General Tab","36");
B=A.fN("Preprocessing Tab","37");
B=A.fN("Logging Tab","38");
B=A.fN("Advanced Tab","39");
A=P.fN("Chapter\u00a05 Setting Up Trading Partners","40");
B=A.fN("Configuring the X12 Protocol","41");
B=A.fN("General Tab","42");
B=A.fN("Logging Tab","43");
B=A.fN("Batching Tab","44");
B=A.fN("Interchange Header Tab","45");
B=A.fN("Group Header Tab","46");
B=A.fN("Acknowledgement Tab","47");
B=A.fN("CAQH Tab","48");
B=A.fN("Document Split Tab","49");
B=A.fN("Control Numbers Tab","50");
B=A.fN("Delimiters Tab","51");
B=A.fN("Transports Tab","52");
C=B.fN("NAESB","52#2054146");
C=B.fN("Configuring HTTP/S for NAESB Internet ET","52#2063650");
A=P.fN("Chapter\u00a06 Configuring Agreement Protocol Bindings","53");
B=A.fN("Overview","54");
C=B.fN("Adding Protocol Binding","54#1948857");
B=A.fN("Operation Bindings Tab","55");
C=B.fN("Adding Operation Binding","55#1889155");
B=A.fN("Overriding Outbound Settings for Notify","56");
C=B.fN("Operation Settings Tab","56#2032253");
C=B.fN("Action Settings Tab","56#2038446");
C=B.fN("Transports Tab","56#2038379");
C=B.fN("Document Security Tab","56#2038389");
B=A.fN("Overriding Outbound Settings for Synchronous Response Request","57");
C=B.fN("Operation Settings Tab","57#2038782");
C=B.fN("Action Settings Tab","57#2038917");
C=B.fN("Transports Tab","57#2038930");
C=B.fN("Document Security Tab","57#2038939");
B=A.fN("Document Security Tab","58");
B=A.fN("Transports Tab","59");
C=B.fN("Setting the Outbound Transport for the Host","59#2046280");
C=B.fN("Setting the Inbound Transport for the Host","59#2046244");
B=A.fN("Scheduled Transmission Tab","60");
B=A.fN("Overriding Participant Settings","61");
C=B.fN("Hide Advanced","61#1976624");
C=B.fN("Show Advanced","61#1976626");
}
